Page MenuHomePhabricator

New message indicator hidden in the personal menu
Closed, DeclinedPublic

Description

The orange new message indicator is only visible in the personal menu using Timeless, not at the default view. It’s a pity as its purpose is to draw attention, and people don’t necessarily open this dropdown often. For example, giving this background to the “Your account” text (“Fiókod” in Hungarian) would be fine.

Event Timeline

Izno added a subscriber: Izno.EditedFeb 9 2019, 3:49 PM

It is not visible in the default view for anyone any more in any skin unless you have enabled a script or gadget.


I think it’s pretty visible on Vector. Without any scripts or gadgets. (The notification badge difference is T181142.)

Izno added a comment.Feb 9 2019, 6:50 PM

I don't think that really fits in with the theme of Timeless though.

If the color is the problem, use another color (e.g. the dark red used below the site name). If you have another problem with it, what’s that?

Isarra closed this task as Declined.Feb 11 2019, 8:49 AM
Isarra added a subscriber: Isarra.

In Timeless, the assumption is that with Echo/Notifications installed, the coloured notification badges should be sufficient indicator on their own (and the colours should actually be working now, too). This is why the badges are explicitly moved out of the main menu, and in terms of skin-extension interaction, this handling is consistent with the general intent of Echo/Notifications itself.

Basically, we're not using the new messages banner anymore because there are more types of notifications now, and so this is intended handling - if you still want it and have a script putting it back in what is the wrong place here, then you should fix it in the script to do this or add another banner of some sort somewhere else.

Tacsipacsi reopened this task as Open.Feb 12 2019, 6:09 PM

It’s great Timeless assumes Echo is installed, because the above short message indicator is added by Echo (just grep for echo-new-messages in Echo’s directory to find the exact code line adding it). It’s not added by any custom script (as I’ve already said), it’s added by PHP code, server side.

The difference between the “red” notifications (which are still gray by the way) and the talk page message is that other red notifications report something that likely needs reaction, while talk page messages indicator reports something that certainly needs reaction. (To be clear: this all is about the short message indicator pictured above, not the traditional full-screen banner added by MediaWiki core and hidden by Echo.)

If Echo didn’t want to have this extra notification, it wouldn’t add it. But it does, so Echo’s intent is not to hide talk messages as much as possible. Therefore hiding isn’t consistent with Echo’s intent, so I’m reopening.

Isarra closed this task as Declined.Feb 13 2019, 2:49 PM

Dammit, you're right, the colours aren't working again, unless I dreamt that they were in the first place. It was such a hopeful dream, too...

Regardless, that's lovely and all, but as there's nowhere to even put such a redundant hack in the first place here I'm just going to close this again.

Hmm, looks like whoever said the yellow thing was a gadget in general was also wrong on that one. It is hardcoded into the extension, which, given that it only even makes any sense on skins with a string-layout like monobook, seems like a rather bad move given how uncommon that actually is these days.

Filed T216046 about it being generally suboptimal.

[…] there's nowhere to even put such a redundant hack in the first place here

What do you mean by it? The expected output is fairly exactly given. As you say, Echo is expected by this skin, so overriding its output should work as well.

Timeless doesn't 'expect' echo; it uses the usual in-content banner without it.

As for what I mean, I'm not sure how to explain this further - that there's no space in the banner for an extra indicator, when we have added two new ones for echo already. And even if we did find room for more, they would all become even less noticeable, as opposed to conveying anything further.

Evad37 added a subscriber: Evad37.Feb 15 2019, 10:03 AM

I think all that's wanted is a yellow background for the username and icon (or just icon for mobile/tablet views) for when the talk page link also has that yellow background - i.e. something like


so you can tell at a glance (i.e. without opening the dropdown) that one of those notification is a talk page message.

The meaning of such a highlight is going to be very unclear by itself, as the meaning it's supposed to be conveying depends on the user having prior knowledge of the context.

If we're adding things that provide meaning, they need to stand on their own - either by adding something to also clarify what that meaning is, such as a label or icon that is consistent with the communication means implemented in the rest of the interface, or by simply being that in the first place. The mw default yellow banner does this by itself primarily being a message that specifically informs the user of new messages; the yellow highlight is really only there to make the message in question stand out so that users actually see it. Given this usage, we can't reasonably go adding new yellow highlights to other things and expect people to know what that means without those things likewise containing such a message themselves.

@Tacsipacsi I've made a userscript you can use instead (until or unless Echo is updated to indicate new messages in some other way): https://en.wikipedia.org/wiki/User:Evad37/timeless-newMessageHighlight

If we're adding things that provide meaning, they need to stand on their own

What about adding an icon to the logo, like this? This may even substitute the yellow background for the personal menu header (but we should keep it for the talk page link so that the user can find what the message icon refers to).


(This is really a rough sketch, I just combined Timeless’ user menu icon with Echo’s message icon.)

For mobile particularly, we really need some sort of indicator like that. Unfortunately there really isn't any way to do that without putting in either some rather complicated extension-specific stuff in the skin, or skin-specific stuff in the extension.

I'm putting this down as a core problem, for now, that we have no interfaces for handling this, but you might want to stress this at the Echo people too.